> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get brokerage firm ID from hostname

> Resolves a hostname to its associated brokerage firm id if present.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/hostname/{hostname}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/hostname/{hostname}:
    get:
      tags:
        - brokerage-firms
      summary: Get brokerage firm ID from hostname
      description: Resolves a hostname to its associated brokerage firm id if present.
      operationId: BrokerageFirmController_brokerageFirmFromHostname
      parameters:
        - name: hostname
          required: true
          in: path
          description: Hostname
          schema:
            type: string
      responses:
        '200':
          description: Brokerage firm id resolved from hostname.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostnameToBrokerageFirmIdOutput'
components:
  schemas:
    HostnameToBrokerageFirmIdOutput:
      type: object
      properties:
        brokerageFirmId:
          type: string
          description: Brokerage firm id
      required:
        - brokerageFirmId

````